Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.defobj
Interface Arguments

All Known Implementing Classes:
  ArgumentsImpl

public interface Arguments
extends Create, CreateS, Drop, DropS

A class that provides customizable command line argument parsing support. A class that provides customizable command line argument parsing support

Method Summary
`java.lang.String` | `getAppConfigPath()` A path where application-specific configuration files can be expected to be found.
`java.lang.String` | `getAppDataPath()` A path where application-specific data files can be expected to be found.
`java.lang.String` | `getAppModeString()`
`java.lang.String` | `getAppName()`
`int` | `getArgc()`
`boolean` | `getBatchModeFlag()`
`java.lang.String` | `getConfigPath()`
`java.lang.String` | `getDataPath()`
`java.lang.String` | `getExecutablePath()`
`int` | `getFixedSeed()`
`boolean` | `getFixedSeedFlag()`
`boolean` | `getInhibitArchiverLoadFlag()`
`int` | `getLastArgIndex()`
`boolean` | `getShowCurrentTimeFlag()`
`java.lang.String` | `getSwarmHome()`
`boolean` | `getVarySeedFlag()`
`boolean` | `getVerboseFlag()`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### getBatchModeFlag

    public boolean getBatchModeFlag()

### getVarySeedFlag

    public boolean getVarySeedFlag()

### getFixedSeedFlag

    public boolean getFixedSeedFlag()

### getFixedSeed

    public int getFixedSeed()

### getVerboseFlag

    public boolean getVerboseFlag()

### getAppName

    public java.lang.String getAppName()

### getAppModeString

    public java.lang.String getAppModeString()

### getArgc

    public int getArgc()

### getLastArgIndex

    public int getLastArgIndex()

### getExecutablePath

    public java.lang.String getExecutablePath()

### getSwarmHome

    public java.lang.String getSwarmHome()

### getConfigPath

    public java.lang.String getConfigPath()

### getDataPath

    public java.lang.String getDataPath()

### getAppDataPath

    public java.lang.String getAppDataPath()

  A path where application-specific data files can be expected to be found.

### getAppConfigPath

    public java.lang.String getAppConfigPath()

  A path where application-specific configuration files can be expected to be found.

### getShowCurrentTimeFlag

    public boolean getShowCurrentTimeFlag()

### getInhibitArchiverLoadFlag

    public boolean getInhibitArchiverLoadFlag()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD